Index: /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containerpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containerpage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/containerpage.pt	(revision 7459)
@@ -5,5 +5,5 @@
 </div>
 
-<table class="zebra">
+<table>
   <thead>
     <tr>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/hostels/browser_templates/hostelmanagepage.pt	(revision 7459)
@@ -3,5 +3,5 @@
   tal:content="view/label">Label</h2>
 
-  <div class="form-status"
+  <div class="alert-message error"
       tal:define="status view/status"
       tal:condition="status">
@@ -18,24 +18,22 @@
 
   <form action="." tal:attributes="action request/URL" method="POST"
-        class="edit-form" enctype="multipart/form-data">
+        enctype="multipart/form-data">
 
-  <div id="tabs">
-    <ul>
-      <li><a href="#tab-1"><span>Hostel Data</span></a></li>
-      <li><a href="#tab-2"><span>Beds</span></a></li>
-    </ul>
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Hostel Data</span></a></li>
+    <li><a href="#tab-2"><span>Beds</span></a></li>
+  </ul>
 
-    <div id="tab-1">
-      <table class="zebra">
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
       <tbody>
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label">
-            <label tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
+          <td class="fieldname">
+            <span class="required" tal:condition="widget/required">*</span>
+            <span i18n:translate="" tal:content="widget/label">label</span>:
           </td>
-          <td class="field">
+          <td>
             <span class="widget" tal:content="structure widget">
               <input type="text" />
@@ -45,5 +43,5 @@
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span class="hint" tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">hint</span>
             </tal:hint>
           </td>
@@ -52,5 +50,5 @@
       </tbody>
       </table>
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions"
               tal:omit-tag="">
@@ -97,5 +95,5 @@
       </table>
 
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions"
               tal:omit-tag="">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 7459)
@@ -53,5 +53,5 @@
 def year_range():
     curr_year = datetime.now().year
-    return range(curr_year - 2, curr_year + 5)
+    return range(curr_year - 4, curr_year + 5)
 
 def academic_sessions():
@@ -292,6 +292,5 @@
 
     title = schema.TextLine(
-        title = u'Name',
-        description = u'Real name of user',
+        title = u'Full Name',
         required = False,)
 
@@ -359,4 +358,10 @@
         title = u'Name of University',
         default = u'Sample University',
+        required = True,
+        )
+
+    acronym = schema.TextLine(
+        title = u'Abbreviated Title of University',
+        default = u'WAeUP.SIRP',
         required = True,
         )
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser.py	(revision 7459)
@@ -36,10 +36,10 @@
     SIRPPage, SIRPEditFormPage, SIRPAddFormPage, SIRPDisplayFormPage,
     ContactAdminForm, SIRPForm)
-from waeup.sirp.browser.interfaces import ICaptchaManager
+from waeup.sirp.browser.interfaces import ICaptchaManager, IBreadcrumbIgnorable
 from waeup.sirp.browser.breadcrumbs import Breadcrumb
 from waeup.sirp.browser.resources import datepicker, datatable, tabs, warning
 from waeup.sirp.browser.viewlets import (
     ManageActionButton, AddActionButton)
-from waeup.sirp.browser.layout import jsaction, JSAction
+from waeup.sirp.browser.layout import jsaction, action, UtilityView
 from waeup.sirp.interfaces import (
     ISIRPObject, IUserAccount, IExtFileStore, IPasswordValidator, IContactForm,
@@ -64,4 +64,5 @@
 from waeup.sirp.applicants.interfaces import IApplicantBaseData
 from waeup.sirp.hostels.hostel import NOT_OCCUPIED
+from waeup.sirp.utils.helpers import get_current_principal
 
 def write_log_message(view, message):
@@ -96,4 +97,13 @@
     grok.context(IStudentsContainer)
     title = 'Students'
+    #grok.implements(IBreadcrumbIgnorable)
+
+    @property
+    def target(self):
+        user = get_current_principal()
+        #import pdb; pdb.set_trace()
+        if getattr(user, 'user_type', None) == 'student':
+            return None
+        return self.viewname
 
 class StudentBreadcrumb(Breadcrumb):
@@ -131,14 +141,4 @@
     grok.context(IStudentAccommodation)
     title = 'Accommodation'
-
-    #@property
-    #def target(self):
-    #    prm = get_principal_role_manager()
-    #    principal = get_current_principal()
-    #    roles = [x[0] for x in prm.getRolesForPrincipal(principal.id)]
-    #    if 'waeup.Student' in roles:
-    #        return 'index'
-    #    else:
-    #        return 'manage'
 
 class BedTicketBreadcrumb(Breadcrumb):
@@ -293,4 +293,6 @@
             if not self.hitlist:
                 self.flash('No student found.')
+            if 'remove' in form:
+                self.flash('No item selected.')
             return
         entries = form['entries']
@@ -328,5 +330,5 @@
     pnav = 4
 
-    @grok.action('Create student record')
+    @action('Create student record', style='primary')
     def addStudent(self, **data):
         student = createObject(u'waeup.Student')
@@ -383,5 +385,5 @@
         return u'Send message to %s' % self.context.display_fullname
 
-    @grok.action('Send message now')
+    @action('Send message now', style='primary')
     def send(self, *args, **data):
         try:
@@ -442,5 +444,5 @@
             dict(name=x, title=y) for x, y in allowed_transitions]
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         form = self.request.form
@@ -576,10 +578,10 @@
         return super(StudentClearanceManageFormPage, self).update()
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         msave(self, **data)
         return
 
-class StudentClearPage(grok.View):
+class StudentClearPage(UtilityView, grok.View):
     """ Clear student by clearance officer
     """
@@ -600,5 +602,5 @@
         return
 
-class StudentRejectClearancePage(grok.View):
+class StudentRejectClearancePage(UtilityView, grok.View):
     """ Reject clearance by clearance officers
     """
@@ -662,5 +664,5 @@
     pnav = 4
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         msave(self, **data)
@@ -732,5 +734,5 @@
         return 
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         msave(self, **data)
@@ -744,5 +746,5 @@
             yield(dict(code=code, title=title))
 
-    @grok.action('Add study level')
+    @action('Add study level')
     def addStudyLevel(self, **data):
         level_code = self.request.form.get('addlevel', None)
@@ -754,4 +756,5 @@
         except KeyError:
             self.flash('This level exists.')
+        self.flash('Study level has been added.')
         self.redirect(self.url(self.context, u'@@manage')+'#tab-2')
         return
@@ -821,5 +824,5 @@
     target = 'course_registration.pdf'
 
-class ExportPDFCourseRegistrationSlipPage(grok.View):
+class ExportPDFCourseRegistrationSlipPage(UtilityView, grok.View):
     """Deliver a PDF slip of the context.
     """
@@ -921,10 +924,10 @@
         return 'Manage study level %s' % self.context.level_title
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         msave(self, **data)
         return
 
-    @grok.action('Add course ticket')
+    @action('Add course ticket')
     def addCourseTicket(self, **data):
         self.redirect(self.url(self.context, '@@add'))
@@ -954,5 +957,5 @@
         return
 
-class ValidateCoursesPage(grok.View):
+class ValidateCoursesPage(UtilityView, grok.View):
     """ Validate course list by course adviser
     """
@@ -975,5 +978,5 @@
         return
 
-class RejectCoursesPage(grok.View):
+class RejectCoursesPage(UtilityView, grok.View):
     """ Reject course list by course adviser
     """
@@ -1022,5 +1025,5 @@
         return 'Study Level %s' % self.context.level_title
 
-    @grok.action('Add course ticket')
+    @action('Add course ticket')
     def addCourseTicket(self, **data):
         ticket = CourseTicket()
@@ -1046,5 +1049,5 @@
         return
 
-    @grok.action('Cancel')
+    @action('Cancel')
     def cancel(self, **data):
         self.redirect(self.url(self.context))
@@ -1095,5 +1098,5 @@
         return 'Manage course ticket %s' % self.context.code
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         msave(self, **data)
@@ -1176,5 +1179,5 @@
         return
 
-    @grok.action('Add online payment ticket')
+    @action('Add online payment ticket')
     def addPaymentTicket(self, **data):
         self.redirect(self.url(self.context, '@@addop'))
@@ -1200,5 +1203,5 @@
     pnav = 4
     
-    @grok.action('Create ticket')
+    @action('Create ticket', style='primary')
     def createTicket(self, **data):
         p_category = data['p_category']
@@ -1296,5 +1299,5 @@
         return self.view.url(self.view.context, self.target)
 
-class OnlinePaymentCallbackPage(grok.View):
+class OnlinePaymentCallbackPage(UtilityView, grok.View):
     """ Callback view
     """
@@ -1345,5 +1348,5 @@
         return
 
-class ExportPDFPaymentSlipPage(grok.View):
+class ExportPDFPaymentSlipPage(UtilityView, grok.View):
     """Deliver a PDF slip of the context.
     """
@@ -1576,5 +1579,5 @@
     target = 'bed_allocation.pdf'
 
-class ExportPDFBedTicketSlipPage(grok.View):
+class ExportPDFBedTicketSlipPage(UtilityView, grok.View):
     """Deliver a PDF slip of the context.
     """
@@ -1608,5 +1611,5 @@
     target = 'relocate'
 
-class BedTicketRelocationPage(grok.View):
+class BedTicketRelocationPage(UtilityView, grok.View):
     """ Callback view
     """
@@ -1735,5 +1738,5 @@
     pnav = 4
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         msave(self, **data)
@@ -1751,5 +1754,5 @@
     pnav = 4
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         form = self.request.form
@@ -1898,5 +1901,5 @@
         return super(StudentClearanceEditFormPage, self).update()
 
-    @grok.action('Save')
+    @action('Save', style='primary')
     def save(self, **data):
         self.applyData(self.context, **data)
@@ -1911,5 +1914,5 @@
         return False
 
-    @grok.action('Save and request clearance')
+    @action('Save and request clearance', style='primary')
     def requestClearance(self, **data):
         self.applyData(self.context, **data)
@@ -2063,5 +2066,5 @@
         return
 
-    @grok.action('Create course list now')
+    @action('Create course list now', style='primary')
     def addStudyLevel(self, **data):
         studylevel = StudentStudyLevel()
@@ -2127,5 +2130,5 @@
         return total_credits
 
-    @grok.action('Add course ticket')
+    @action('Add course ticket')
     def addCourseTicket(self, **data):
         self.redirect(self.url(self.context, 'ctadd'))
@@ -2157,5 +2160,5 @@
         return
 
-    @grok.action('Register course list')
+    @action('Register course list', style='primary')
     def RegisterCourses(self, **data):
         IWorkflowInfo(self.context.getStudent()).fireTransition('register_courses')
@@ -2172,5 +2175,5 @@
         'grade', 'score', 'core_or_elective', 'automatic')
 
-    @grok.action('Add course ticket')
+    @action('Add course ticket')
     def addCourseTicket(self, **data):
         ticket = CourseTicket()
@@ -2211,5 +2214,5 @@
         return
 
-    @grok.action('Get login credentials')
+    @action('Get login credentials', style='primary')
     def request(self, **data):
         if not self.captcha_result.is_valid:
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/accommodationmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/accommodationmanagepage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/accommodationmanagepage.pt	(revision 7459)
@@ -3,5 +3,5 @@
 tal:content="view/label">Label</h2>
 
-<div class="form-status"
+<div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -13,5 +13,5 @@
 
 <form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
+      enctype="multipart/form-data">
 
   <table class="display dataTableManage">
@@ -41,5 +41,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <span tal:repeat="action view/selected_actions"
           tal:omit-tag="">
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7459)
@@ -4,7 +4,7 @@
 
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+      enctype="multipart/form-data">
 
-  <div class="form-status"
+  <div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -15,23 +15,21 @@
   </div>
 
-  <div id="tabs">
-    <ul>
-      <li><a href="#tab-1"><span>Base Data</span></a></li>
-      <li><a href="#tab-2"><span>Passport Picture</span></a></li>
-    </ul>
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Base Data</span></a></li>
+    <li><a href="#tab-2"><span>Passport Picture</span></a></li>
+  </ul>
 
-    <div id="tab-1">
-      <table class="form-fields zebra">
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
         <tbody>
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td class="label">
-                <label tal:attributes="for widget/name">
-                  <span class="required" tal:condition="widget/required">*</span>
-                  <span i18n:translate="" tal:content="widget/label">label</span>:
-                </label>
+              <td class="fieldname">
+                <span tal:condition="widget/required">*</span>
+                <span i18n:translate="" tal:content="widget/label">label</span>:
               </td>
-              <td class="field">
-                <span class="widget" tal:content="structure widget">
+              <td>
+                <span tal:content="structure widget">
                   <input type="text" />
                 </span>
@@ -40,5 +38,5 @@
                 </tal:error>
                 <tal:hint tal:condition="widget/hint">
-                  <span class="hint" tal:content="structure widget/hint">hint</span>
+                  <span tal:content="structure widget/hint">hint</span>
                 </tal:hint>
               </td>
@@ -46,5 +44,5 @@
           </tal:block>
           <tr>
-            <td class="label"><label>Password:</label></td>
+            <td class="fieldname">Password:</td>
             <td>
               <input name="password" type="password"  />
@@ -52,5 +50,5 @@
           </tr>
           <tr>
-            <td class="label"><label>Retype password:</label></td>
+            <td class="fieldname">Retype password:</td>
             <td>
               <input name="control_password" type="password" />
@@ -58,5 +56,5 @@
           </tr>
           <tr>
-            <td class="label"><label>Registration Transition:</label></td>
+            <td class="fieldname">Registration Transition:</td>
             <td>
               <select id="transition" name="transition">
@@ -72,5 +70,5 @@
       </table>
 
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <input tal:repeat="action view/actions"
                tal:replace="structure action/render"
@@ -80,6 +78,5 @@
 
     <div id="tab-2">
-      <h2>Upload passport picture</h2>
-      <table class="form-fields zebra">
+      <table class="form-table">
         <tbody>
           <tal:files content="structure provider:files" />
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basepage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basepage.pt	(revision 7459)
@@ -3,5 +3,5 @@
     tal:content="view/label">Label</h2>
 
-<table class="zebra">
+<table class="form-table">
   <tbody>
     <tal:block repeat="widget view/widgets">
@@ -16,5 +16,5 @@
     </tal:block>
     <tr>
-      <td class="fieldname" width="33%">
+      <td class="fieldname">
           Password:
       </td>
@@ -26,6 +26,6 @@
   </tbody>
   <tfoot>
-    <tr class="controls">
-      <td colspan="2" class="align-right">
+    <tr>
+      <td>
         <input tal:repeat="action view/actions"
                tal:replace="structure action/render" />
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/change_password.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/change_password.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/change_password.pt	(revision 7459)
@@ -4,13 +4,13 @@
 
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+      enctype="multipart/form-data">
 
   <input type="hidden" name="student_id" value=""
          tal:attributes="value context/student_id" />
 
-  <table class="form-fields zebra">
+  <table class="form-table">
     <tbody>
       <tr>
-        <td class="label"><label>Password:</label></td>
+        <td class="fieldname">Password:</td>
         <td>
           <input name="change_password" type="password"  />
@@ -18,5 +18,5 @@
       </tr>
       <tr>
-        <td class="label"><label>Retype password:</label></td>
+        <td class="fieldname">Retype password:</td>
         <td>
           <input name="change_password_repeat" type="password" />
@@ -26,5 +26,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
            tal:replace="structure action/render"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7459)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+      enctype="multipart/form-data">
 
   <h2 i18n:translate=""
@@ -6,5 +6,5 @@
     tal:content="view/label">Label</h2>
 
-  <div class="form-status"
+  <div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -15,16 +15,14 @@
   </div>
 
-  <table class="zebra">
+  <table class="form-table">
     <tbody>
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label">
-            <label tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*</span>
+          <td class="fieldname">
+              <span tal:condition="widget/required">*</span>
               <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
           </td>
-          <td class="field">
-            <span class="widget" tal:content="structure widget">
+          <td>
+            <span tal:content="structure widget">
               <input type="text" />
             </span>
@@ -33,5 +31,5 @@
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span class="hint" tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">hint</span>
             </tal:hint>
           </td>
@@ -51,5 +49,5 @@
   </table>
 
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
            tal:replace="structure action/render"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7459)
@@ -4,7 +4,7 @@
 
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+      enctype="multipart/form-data">
 
-  <div class="form-status"
+  <div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -15,23 +15,20 @@
   </div>
 
-  <div id="tabs">
-    <ul>
-      <li><a href="#tab-1"><span>Clearance Data</span></a></li>
-      <li><a href="#tab-2"><span>Scans</span></a></li>
-    </ul>
-
-    <div id="tab-1">
-      <table class="form-fields zebra">
+  <ul class="tabs" data-tabs="tabs">
+    <li class="active"><a href="#tab-1"><span>Clearance Data</span></a></li>
+    <li><a href="#tab-2"><span>Scans</span></a></li>
+  </ul>
+  <div class="tab-content">
+    <div id="tab-1" class="active">
+      <table class="form-table">
         <tbody>
           <tal:block repeat="widget view/widgets">
             <tr>
-              <td class="label">
-                <label tal:attributes="for widget/name">
-                  <span class="required" tal:condition="widget/required">*</span>
+              <td class="fieldname">
+                  <span tal:condition="widget/required">*</span>
                   <span i18n:translate="" tal:content="widget/label">label</span>:
-                </label>
               </td>
-              <td class="field">
-                <span class="widget" tal:content="structure widget">
+              <td>
+                <span tal:content="structure widget">
                   <input type="text" />
                 </span>
@@ -40,5 +37,5 @@
                 </tal:error>
                 <tal:hint tal:condition="widget/hint">
-                  <span class="hint" tal:content="structure widget/hint">hint</span>
+                  <span tal:content="structure widget/hint">hint</span>
                 </tal:hint>
               </td>
@@ -48,5 +45,5 @@
       </table>
 
-      <div class="actionButtons" tal:condition="view/availableActions">
+      <div tal:condition="view/availableActions">
         <input tal:repeat="action view/actions"
                tal:replace="structure action/render"
@@ -56,6 +53,5 @@
 
     <div id="tab-2">
-      <h2>Upload scans</h2>
-      <table class="form-fields zebra">
+      <table class="form-table">
         <tbody>
           <tal:files content="structure provider:files" />
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/containermanagepage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/containermanagepage.pt	(revision 7459)
@@ -4,5 +4,5 @@
 <br />
 
-  <input type="submit" name="search" value="Search" />
+  <input class="btn primary" type="submit" name="search" value="Search" />
   for students
 
@@ -48,8 +48,6 @@
     </table>
     
-    <div class="actionButtons">
-        <input type="submit" name="remove" value="Remove selected"
-               onclick="return confirmPost('Are you sure?')"/>
-    </div>
+    <input type="submit" name="remove" value="Remove selected" class="btn"
+           onclick="return confirmPost('Are you sure?')"/>
 
   </div>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/containerpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/containerpage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/containerpage.pt	(revision 7459)
@@ -4,5 +4,5 @@
 <br />
 
-  <input type="submit" name="search" value="Search" />
+  <input class="btn primary" type="submit" name="search" value="Search" />
   for students
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7459)
@@ -1,4 +1,4 @@
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
+      enctype="multipart/form-data">
 
   <h2 i18n:translate=""
@@ -6,5 +6,5 @@
     tal:content="view/label">Label</h2>
 
-  <div class="form-status"
+  <div class="alert-message error"
     tal:define="status view/status"
     tal:condition="status">
@@ -15,6 +15,5 @@
   </div>
 
-
-  <table class="zebra">
+  <table class="form-table">
     <tbody>
       <tr>
@@ -68,12 +67,10 @@
       <tal:block repeat="widget view/widgets">
         <tr>
-          <td class="label">
-            <label tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required">*</span>
+          <td class="fieldname">
+              <span tal:condition="widget/required">*</span>
               <span i18n:translate="" tal:content="widget/label">label</span>:
-            </label>
           </td>
-          <td class="field">
-            <span class="widget" tal:content="structure widget">
+          <td>
+            <span tal:content="structure widget">
               <input type="text" />
             </span>
@@ -82,5 +79,5 @@
             </tal:error>
             <tal:hint tal:condition="widget/hint">
-              <span class="hint" tal:content="structure widget/hint">hint</span>
+              <span tal:content="structure widget/hint">hint</span>
             </tal:hint>
           </td>
@@ -89,5 +86,5 @@
     </tbody>
   </table>
-  <div class="actionButtons" tal:condition="view/availableActions">
+  <div tal:condition="view/availableActions">
     <input tal:repeat="action view/actions"
            tal:replace="structure action/render"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketpage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketpage.pt	(revision 7459)
@@ -3,5 +3,5 @@
     tal:content="view/label">Label</h2>
 
-<table class="zebra">
+<table class="form-table">
   <tbody>
     <tr>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/enterpin.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/enterpin.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/enterpin.pt	(revision 7459)
@@ -2,8 +2,8 @@
     tal:content="view/label">Label</h2>
 <form method="POST">
-  <table>
+  <table class="form-table">
     <tbody>
       <tr><td>
-        <label for="ac_series">Activation Code:</label>
+        Activation Code:
         </td><td>
         <span tal:replace="view/ac_prefix">PIN Prefix</span> -
@@ -18,7 +18,7 @@
       <tr>
         <td colspan="2">
-          <input type="submit" name="SUBMIT"
+          <input type="submit" name="SUBMIT" class="btn primary"
                  tal:attributes="value view/buttonname" />
-                 </td>
+        </td>
       </tr>
     </tbody>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/filedisplay.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/filedisplay.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/filedisplay.pt	(revision 7459)
@@ -1,9 +1,7 @@
 <tr tal:condition = "viewlet/file_exists">
-  <td class="label">
-    <label i18n:translate="">
-        <span tal:replace="viewlet/label">FILENAME</span>:
-    </label>
+  <td class="fieldname">
+    <span tal:replace="viewlet/label">FILENAME</span>:
   </td>
-  <td class="field">
+  <td>
     <span class="widget">
       <a tal:attributes="href viewlet/download_name"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/filesuploadpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/filesuploadpage.pt	(revision 7458)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/filesuploadpage.pt	(revision 7459)
@@ -4,6 +4,6 @@
 
 <form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
-  <table class="zebra">
+      enctype="multipart/form-data">
+  <table class="form-table">
     <tbody>
       <tal:files content="structure provider:files" />
